/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Controller;

import Dao.AgentLimitDao;
import Dao.AgentMappingDao;
import Dao.ChequePostingDao;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
public class AgentMappingServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String) session.getAttribute("user");
       // String accNo = request.getParameter("accNoServer");
        //String agntId = request.getParameter("agntIdServer");
        //String agentId = request.getParameter("agntIdServer2");
       // String tranType = request.getParameter("tranType");
       // String limit = request.getParameter("limit");
        AgentMappingDao agDao = new AgentMappingDao();
        AgentLimitDao aglimObj = new AgentLimitDao();
        String AgentMappingresult = null;
        String AgentLimitresult = null;

        try {

            if (limit == null || limit.isEmpty() ) {
                AgentMappingresult = agDao.createOrUpdateAgentMapping(tellerId, pacsId, accNo, agntId, tranType);
                request.setAttribute("message", AgentMappingresult);
            } else {
                AgentLimitresult = aglimObj.createUpdateAgentLimit(tellerId, pacsId, agentId, limit);
                request.setAttribute("message2", AgentLimitresult);
            }

            request.getRequestDispatcher("/Deposit/AgentMapping.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
            System.out.println("Error occurred during processing.");
            request.setAttribute("message", "Request can not be processed.");
            request.getRequestDispatcher("/Deposit/AgentMapping.jsp").forward(request, response);
        } finally { 
                    System.out.println("Processing done."); 
                }

    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
